const path = require('path')

function resolve(dir) {
  return path.join(__dirname, dir)
}

// vue.config.js
module.exports = {
  /*
   Vue-cli3:
   Crashed when using Webpack `import()` #2463
   https://github.com/vuejs/vue-cli/issues/2463

   */
  /*
   pages: {
   index: {
   entry: 'src/main.js',
   chunks: ['chunk-vendors', 'chunk-common', 'index']
   }
   },
   */
  configureWebpack: {},

  chainWebpack: (config) => {
    config.resolve.alias
      .set('@', resolve('src'))
      .set('@api', resolve('src/api'))
      .set('@assets', resolve('src/assets'))
      .set('@comp', resolve('src/components'))
      .set('@views', resolve('src/views'))
      .set('@layout', resolve('src/layout'))
      .set('@static', resolve('src/static'))
      .set('@util', resolve('src/util'))
  },

  css: {
    loaderOptions: {
      less: {
        modifyVars: {
          /* less 变量覆盖，用于自定义 ant design 主题 */

          /*
           'primary-color': '#F5222D',
           'link-color': '#F5222D',
           'border-radius-base': '4px',
           */
        },
        javascriptEnabled: true,
      }
    }
  },

  // devServer: {
  //   proxy: {
  //     '/': {
  //       // target: 'https://mock.ihx.me/mock/5baf3052f7da7e07e04a5116/antd-pro',
  //       target: 'http://localhost:8090',
  //       ws: false,
  //       changeOrigin: true
  //     }
  //   }
  // },

  lintOnSave: true,
  productionSourceMap: false
}